Skip to main content

Save customer data

POST{{server}}/api/v1/counter/customerData

This endpoint saves customer data for the ticket. The customer data object can contain fields from data1 to data10.

If the ticket has already customer data, the server will merge it with the new customer data values.

Request

  • ticket (string, required): The key of the called ticket

  • customerData (object, required): The customer data object

    • data1 ... data10 (string|number): Customer data values

This request has no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"customerData": {
"data1": "John Doe",
"data2": "+1-555-1234"
}
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/customerData' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"customerData": {
"data1": "John Doe",
"data2": "+1-555-1234"
}
}'

Example​

Example request
POST{{server}}/api/v1/counter/customerData
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1905ee5f-dbc7-4ac8-61a9-c9f961034f1b",
"customerData": {
"data1": "John Doe",
"data2": "+1-555-1234"
}
}
Example response 204 No Content
No response body